Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.uimacpp
Class UimacppEngine

    java.lang.Object
      org.apache.uima.uimacpp.UimacppEngine

    public class UimacppEngine

extends Object

Constructor Summary
`UimacppEngine()`

Method Summary
`void` | `batchProcessComplete()` batchProcessComplete
`void` | `collectionProcessComplete()` CasConsumer collectionProcessComplete
`static void` | `configureResourceManager(String workDirectory, String dataDirectory)` Configure the TAF Resource Manager.
`static UimacppEngine` | `createJTafTAE(String configFile)` create a TAF engine with a config file
`void` | `destroy()` de-initializes the TAF engine.
`protected void` | `finalize()`
`static String` | `getErrorMessage(long errorCode)` helper function to get the error message for some TAF error ID.
`static String` | `getTafJNIVersion()` helper function to get the TAF JNI version.
`boolean` | `hasNext()` hasNext
`void` | `next(CAS segment)` next
`void` | `process(ResultSpecification rs, CAS aCas, boolean casIsEmpty)` process the document.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UimacppEngine

    public UimacppEngine()
                  throws UimacppException

Throws:
  `UimacppException`

Method Detail

### configureResourceManager

    public static void configureResourceManager(String workDirectory,
                                                String dataDirectory)
                                         throws UimacppException

  Configure the TAF Resource Manager.

  Throws:
    `UimacppException`

### createJTafTAE

    public static UimacppEngine createJTafTAE(String configFile)
                                       throws UimacppException

  create a TAF engine with a config file

  Throws:
    `UimacppException`

### destroy

    public void destroy()
                 throws UimacppException

  de-initializes the TAF engine.

  Throws:
    `UimacppException`

### process

    public void process(ResultSpecification rs,
                        CAS aCas,
                        boolean casIsEmpty)
                 throws UimacppException

  process the document.

  Throws:
    `UimacppException`

### hasNext

    public boolean hasNext()
                    throws UimacppException

  hasNext

  Throws:
    `UimacppException`

### next

    public void next(CAS segment)
              throws UimacppException

  next

  Throws:
    `UimacppException`

### batchProcessComplete

    public void batchProcessComplete()
                              throws UimacppException

  batchProcessComplete

  Throws:
    `UimacppException`

### collectionProcessComplete

    public void collectionProcessComplete()
                                   throws UimacppException

  CasConsumer collectionProcessComplete

  Throws:
    `UimacppException`

### getErrorMessage

    public static String getErrorMessage(long errorCode)
                                  throws UimacppException

  helper function to get the error message for some TAF error ID.

  Throws:
    `UimacppException`

### getTafJNIVersion

    public static String getTafJNIVersion()
                                   throws UimacppException

  helper function to get the TAF JNI version.

  Throws:
    `UimacppException`

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.